# -*- coding: utf-8 -*-
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _
from jmb.core.admin.options import ExtendibleModelAdmin
from jmb.showcase.models import Item

class ItemAdmin(ExtendibleModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (None, {
            'fields': (
                'status', 'tale', 'title', 'slug'
                )
        }),
        (_('Contenuto'), {
            'fields': (
                'content', 'image', 'file', 'link', 'publication_date'
                )
        }),
        (_('Comportamento'), {
            'fields' : (
                'show_image', 'show_link', 'link_type'
                )
        }),
        (_("Ordinamento"), {
             'fields' : ('ordering',),
             'classes': ('collapse',)

        }),
        )
    list_display = (
        'get_status_icon',
        'title',
        'slug',
        'tale',
        'publication_date',
        'get_edit_icon',
        'get_delete_icon',
        )
    save_on_top = True
    list_display_links = ('title',)
    #list_editable = ('status','tale','slug',)
    prepopulated_fields = {"slug": ("title",)}

admin.site.register(Item, ItemAdmin)