from django.db import models
from django.conf import settings
from cms.models.pluginmodel import CMSPlugin
from django.utils.translation import ugettext as _

###################################
## CMS MODELS                     #
###################################

class ItemSettings(CMSPlugin):


    template_name = models.CharField(
        max_length=100,
        choices=settings.SHOWCASE_CMSPLUGIN_TEMPLATES,
        default="cms_plugins/showcase_item_list.html",
        editable=len(settings.SHOWCASE_CMSPLUGIN_TEMPLATES) > 1
    )
    exclude_slugs = models.CharField(
        max_length=100,
        blank=True,
        help_text=_("(optional) Excluding item slug(s), separated by ','")
    );
    exclude_tales = models.CharField(
        max_length=100,
        blank=True,
        help_text=_("(optional) Excluding item tale(s), separated by ','")
    );
    ordering = models.CharField(
        _("Items order"),
        max_length=100,
        default='ordering, title, publication_date',
        help_text=_("Items ordering fields")
    )
    objects_per_page = models.IntegerField(
        default = 20,
    )

    def __unicode__(self):
        return self.template_name

    class Meta:
        app_label = "showcase"


