from django.core.paginator import Paginator
from django.utils.translation import ugettext as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.showcase.models import Item
from jmb.showcase.cms.models import ItemSettings


###################################
## CMS PLUGINS                    #
###################################

class ItemPlugin(CMSPluginBase):
    model = ItemSettings
    name = _("Showcase Item List")

    def render(self, context, instance, placeholder):
            page=1
            self.render_template = instance.template_name
            objects = Item.objects.filter(status=1)
            ordering = instance.ordering.lower().replace(" ","").split(",")
            slug_exclusions = instance.exclude_slugs.lower().replace(" ","").split(",")
            tale_exclusions = instance.exclude_tales.lower().replace(" ","").split(",")
            objects = objects.order_by(*ordering).exclude(tale__in=tale_exclusions).exclude(slug__in=slug_exclusions)

            request = context['request']
            if request.GET:
                filters = request.GET.copy()
                if filters.has_key('page'):
                    page = filters['page']
                    del(filters['page'])

                try:
                    objects = objects.filter(**filters)
                except:
                    objects.none()

            paginator = Paginator(objects, instance.objects_per_page)
            objects = paginator.page(page)
            print objects
            context.update({
                'objects': objects,
                'instance': instance,
                'placeholder': placeholder,
            })
            return context

plugin_pool.register_plugin(ItemPlugin)


